# Draw
TKDraw
DrawTrSurf

# DrawTrSurf_Triangulation2D Class Reference

Used to display a 2d triangulation.
Display internal edges in blue
Display boundary edges in red
Optional display of triangles and nodes indices.
.

`#include <DrawTrSurf_Triangulation2D.hxx>`

Inheritance diagram for DrawTrSurf_Triangulation2D:

[legend]

## Public Member Functions

Standard_EXPORT | DrawTrSurf_Triangulation2D (const Handle(Poly_Triangulation)&T)
Standard_EXPORT Handle_Poly_Triangulation | Triangulation () const
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
virtual Standard_EXPORT Handle_Draw_Drawable3D | Copy () const
| For variable copy. .
virtual Standard_EXPORT void | Dump (Standard_OStream &S) const
| For variable dump. .
virtual Standard_EXPORT void | Whatis (Draw_Interpretor &I) const
| For variable whatis command. Set as a result the type of the variable. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Poly_Triangulation | myTriangulation
Handle_TColStd_HArray1OfInteger | myInternals
Handle_TColStd_HArray1OfInteger | myFree

## Constructor & Destructor Documentation

Standard_EXPORT DrawTrSurf_Triangulation2D::DrawTrSurf_Triangulation2D | ( | const Handle(Poly_Triangulation)& | T | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_Draw_Drawable3D DrawTrSurf_Triangulation2D::Copy | ( |  | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT void DrawTrSurf_Triangulation2D::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

virtual Standard_EXPORT void DrawTrSurf_Triangulation2D::Dump | ( | Standard_OStream & | S | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT const DrawTrSurf_Triangulation2D::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable2D.

Standard_EXPORT Handle_Poly_Triangulation DrawTrSurf_Triangulation2D::Triangulation | ( |  | ) | const

virtual Standard_EXPORT void DrawTrSurf_Triangulation2D::Whatis | ( | Draw_Interpretor & | I | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

## Field Documentation

Handle_TColStd_HArray1OfInteger DrawTrSurf_Triangulation2D::myFree `[private]`

Handle_TColStd_HArray1OfInteger DrawTrSurf_Triangulation2D::myInternals `[private]`

Handle_Poly_Triangulation DrawTrSurf_Triangulation2D::myTriangulation `[private]`

The documentation for this class was generated from the following file:

- DrawTrSurf_Triangulation2D.hxx